Fetch verifications
curl --request GET \
--url https://api.neynar.com/v2/farcaster/user/verifications/ \
--header 'x-api-key: <api-key>'import requests
url = "https://api.neynar.com/v2/farcaster/user/verifications/"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.neynar.com/v2/farcaster/user/verifications/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"verifications": [
{
"address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"object": "verification",
"protocol": "evm",
"verified_at": "2024-01-01T00:00:00.000Z",
"app": {
"fid": 3,
"object": "user_dehydrated",
"custody_address": "0x5a927ac639636e534b678e81768ca19e2c6280b7",
"display_name": "<string>",
"pfp_url": "<string>",
"score": 123,
"username": "<string>"
}
}
]
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}{
"message": "<string>",
"code": "<string>",
"property": "<string>",
"status": 123
}Fetch User Information
Fetch verifications
Fetch all Ethereum and Solana verified addresses for a Farcaster user. Use this endpoint to identify which wallets are associated with which Farcaster applications for the specified user.
GET
/
v2
/
farcaster
/
user
/
verifications
/
Fetch verifications
Node.js SDK
š SDK Method: fetchVerifications Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.Authorizations
API key to authorize requests
Query Parameters
FID of the user whose verifications to fetch
Required range:
x >= 0Example:
3
Response
Success
Show child attributes
Show child attributes
Was this page helpful?